Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.bigdecimal.functions
Class BigDecRelational

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.bigdecimal.functions.BigDecRelational

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class BigDecRelational

extends PostfixMathCommand

Implements the relational operations <, >, <=, >=, != and ==.

Author:
  N Funk
See Also:
  Serialized Form

Field Summary
`static int` | `EQ`
`static int` | `GE`
`static int` | `GT`
`protected int` | `id`
`static int` | `LE`
`static int` | `LT`
`static int` | `NE`

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`BigDecRelational(int id_in)` Constructor.

Method Summary
`void` | `run(java.util.Stack<java.lang.Object> inStack)` Run the function on the stack.

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

### LT

    public static final int LT

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

Constructor Detail

### BigDecRelational

    public BigDecRelational(int id_in)

  Constructor. Sets the number of parameters to 2. Initializes the tolerance for comparing Complex values.

  Parameters:
    `id_in` - The id of the comparative operator.

Method Detail

### run

    public void run(java.util.Stack<java.lang.Object> inStack)
             throws EvaluationException

  Description copied from interface: `PostfixMathCommandI`
  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep